package com.chinaweal.aiccs.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 常用语模块枚举
 * @author <a href="https://blog.lroyia.top">lroyia</a>
 * @since 2020/8/5 11:13
 **/
@Getter
@AllArgsConstructor
public enum CommonWordsModuleEnum {

    TRACK_EXAMINE("track_examine", "任务跟踪审核和知会"),
    DISSENT_EXAMINE("dissent_examine", "异议申请审核"),
    ;

    /**
     * 模块标识
     */
    private final String tag;

    /**
     * 模块名称/描述
     */
    private final String name;

    public static CommonWordsModuleEnum getEnumsByTag(String tag){
        for (CommonWordsModuleEnum value : CommonWordsModuleEnum.values()) {
            if(value.getTag().equals(tag)) return value;
        }
        return null;
    }
}
